Result Meta Data - Update
Update properties of test result meta data
PATCH https://vstmr.dev.azure.com/{organization}/{project}/_apis/testresults/results/resultmetadata/{testCaseReferenceId}?api-version=6.0-preview.4
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
|
The name of the Azure DevOps organization. |
|
project
|
path | True |
|
Project ID or project name |
|
test
|
path | True |
|
TestCaseReference Id of Test Result to be updated. |
|
api-version
|
query | True |
|
Version of the API to use. This should be set to '6.0-preview.4' to use this version of the api. |
Request Body
| Name | Type | Description |
|---|---|---|
| flakyIdentifiers |
List of Flaky Identifiers |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
accessToken
Personal access token. Use any value for the user name and the token as the password.
Type:
basic
Examples
Update test result metadata
Sample Request
PATCH https://vstmr.dev.azure.com/fabrikam/Fabrikam/_apis/testresults/results/resultmetadata/1?api-version=6.0-preview.4
{
"flakyIdentifiers": [
{
"branchName": "refs/heads/master",
"isFlaky": true
}
]
}
Sample Response
{
"testCaseReferenceId": 1,
"priority": 0
}
Definitions
|
Test |
Test Flaky Identifier |
|
Test |
Represents a Meta Data of a test result. |
|
Test |
Represents a TestResultMetaData Input |
TestFlakyIdentifier
Test Flaky Identifier
| Name | Type | Description |
|---|---|---|
| branchName |
|
Branch Name where Flakiness has to be Marked/Unmarked |
| isFlaky |
|
State for Flakiness |
TestResultMetaData
Represents a Meta Data of a test result.
| Name | Type | Description |
|---|---|---|
| automatedTestName |
|
AutomatedTestName of test result. |
| automatedTestStorage |
|
AutomatedTestStorage of test result. |
| flakyIdentifiers |
List of Flaky Identifier for TestCaseReferenceId |
|
| owner |
|
Owner of test result. |
| priority |
|
Priority of test result. |
| testCaseReferenceId |
|
ID of TestCaseReference. |
| testCaseTitle |
|
TestCaseTitle of test result. |
TestResultMetaDataUpdateInput
Represents a TestResultMetaData Input
| Name | Type | Description |
|---|---|---|
| flakyIdentifiers |
List of Flaky Identifiers |